package com.io.yutian.enderdragonwar.effect.types;

import com.io.yutian.enderdragonwar.effect.GameGiftEffect;
import com.io.yutian.enderdragonwar.game.Game;
import com.io.yutian.pixelliveapi.api.effect.GiftEffectMetadata;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;

public class PlayerGoldAppleEffect extends GameGiftEffect {

    @Override
    public void apply(Game game, GiftEffectMetadata metadata) {
        Player player = game.getPlayer();
        ItemStack goldApple = new ItemStack(Material.ENCHANTED_GOLDEN_APPLE);
        goldApple.setAmount(2);
        player.getInventory().addItem(goldApple);
    }

}
