package com.io.yutian.enderdragonwar.effect.types;

import com.io.yutian.enderdragonwar.game.Game;
import com.io.yutian.enderdragonwar.effect.GameGiftEffect;
import com.io.yutian.pixelliveapi.api.effect.GiftEffectMetadata;
import org.bukkit.Particle;
import org.bukkit.attribute.Attribute;
import org.bukkit.entity.Player;

public class TakeMaxHealthEffect extends GameGiftEffect {

    @Override
    public void apply(Game game, GiftEffectMetadata metadata) {
        Player player = game.getPlayer();
        player.spawnParticle(Particle.SMOKE, player.getLocation().add(0, 1, 0), 30, 0.25, 0.25, 0.25, 0.05);
        if (player.getAttribute(Attribute.GENERIC_MAX_HEALTH).getBaseValue() <= 20) {
            return;
        }
        player.getAttribute(Attribute.GENERIC_MAX_HEALTH).setBaseValue(20);
    }


}
